org.icefaces.ace.context

## Class RequestContext

- java.lang.Object
- - org.icefaces.ace.context.RequestContext

- Direct Known Subclasses:
    DefaultRequestContext

      public abstract class RequestContext
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestContext()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addCallbackParam(java.lang.String name, java.lang.Object value)`
    `abstract void` | `addPartialUpdateTarget(java.lang.String name)`
    `abstract void` | `addPartialUpdateTargets(java.util.Collection<java.lang.String> collection)`
    `abstract java.util.Map<java.lang.String,java.lang.Object>` | `getCallbackParams()`
    `static RequestContext` | `getCurrentInstance()`
    `abstract java.util.List<java.lang.String>` | `getPartialUpdateTargets()`
    `abstract boolean` | `isAjaxRequest()` Deprecated.
    `abstract void` | `release()`
    `protected static void` | `setCurrentInstance(RequestContext requestContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestContext

          public RequestContext()

  - ### Method Detail

    - #### getCurrentInstance

          public static RequestContext getCurrentInstance()

    - #### setCurrentInstance

          protected static void setCurrentInstance(RequestContext requestContext)

    - #### isAjaxRequest

          @Deprecated
          public abstract boolean isAjaxRequest()

      Deprecated.

    - #### release

          public abstract void release()

    - #### addCallbackParam

          public abstract void addCallbackParam(java.lang.String name,
                                                java.lang.Object value)

    - #### getCallbackParams

          public abstract java.util.Map<java.lang.String,java.lang.Object> getCallbackParams()

    - #### addPartialUpdateTarget

          public abstract void addPartialUpdateTarget(java.lang.String name)

    - #### addPartialUpdateTargets

          public abstract void addPartialUpdateTargets(java.util.Collection<java.lang.String> collection)

    - #### getPartialUpdateTargets

          public abstract java.util.List<java.lang.String> getPartialUpdateTargets()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.